Device Requirements

 

Android

Screen_Shot_2020-08-31_at_3.03.21_pm.png

iOS

Screen_Shot_2020-08-31_at_3.03.30_pm.png

Common System Requirements

  • GPS Location service enabled
  • Automatic setting of date & time by device
  • Push Notifications must be allowed

Recommended Devices

 

Android Device

iOS Device

  Recommended Tier  
  • Google Pixel 4/Google Pixel 4 XL
  • Google Pixel 3/Google Pixel 3XL
  • Samsung Galaxy S20
  • Samsung Galaxy S10/S10+
  • Samsung Note 10/10+
  • LG G6/LG G7
  • Sony XZ/Sony XZs/Sony XZ1
  • Sony HTC U11/HTC U11+
  • Sony HTC U12/HTC U12+

 

  • iPhone X/Pro/XR/XS
  • iPhone 11/Pro
  • iPhone SE 2020
Mid Tier
  • Samsung Galaxy S8/S8+/Note 8
  • Samsung Galaxy S9/S9+
  • Samsung A3/A5/A6/A8 (2017-2018)
  • Sony Xperia XA1/XA1 Plus/XA2/XA2 Plus
  • Nokia 7 Plus (2018)
  • Motorola G4 PLUS/G5 PLUS
  • Telstra Tough Max 2 T85
  • Google Pixel 2/Google Pixel 2 XL

  

  • iPhone 7/7 Plus
  • iPhone 8/8 Plus
Budget Tier
  • Samsung J3/J5/J7 (2017-2018)
  • Motorola G5s/G5s PLUS
  • Q6s/Q6/Q6+
  • Google Pixel/Google Pixel XL
  • Samsung Galaxy S7/S7 Edge
  • iPhone SE 2016
  • iPhone 6S/6S Plus

 

Click here for Device Troubleshooting steps

Notes:

We do not recommend using Android devices released earlier than 2017, as industry experience indicates that such devices do not receive operating system updates.

We are unable to guarantee optimal functionality of the software on the following Android mobile device brands: 

  • Huawei;
  • Xiaomi (except Xiaomi with the "Android One" operating system).
    • This is due to peculiarities in their firmware that causes known and publicized erratic behaviour in Android applications.

 

Was this article helpful?
1 out of 1 found this helpful